;;; -*- Mode: Lisp; Encoding: Windows-1251 -*-
;;; YstokHelp - HTML-based help
;;; Copyright (c) 2009-2014 Dr. Dmitry Ivanov.  All rights reserved.
;;; Website: http://lisp.ystok.ru/yhelp/
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; Russian localization of book compiler application

(in-package :ystok.help)

(yl:define-label-language *yhelp-bundle* :ru (html:charset-ef :windows-1251))

(pushnew '(:ru :windows-1251) *stopword-languages* :key #'first)

#|;;; Frameset and page navigation on page

(yl:defnative "Navigation" #+Russian "")
(yl:defnative "Content"    #+Russian "")

(yl:defnative "Hide/show navigation frame"
    #+Russian "/  ")
(yl:defnative "Synchronize Table of Contents"
    #+Russian " ")

(yl:defnative "next"	 #+Russian "")
(yl:defnative "previous" #+Russian "")
(yl:defnative "up"	 #+Russian "")

(yl:defnative "Non-alphabetic"
    #+Russian ",      ")
|#

;;; Errors

(defnative "Separator <!-- ~a ...--> is only allowed on top-level of <BDDY> content."
     " <!-- ~a ...-->       <BDDY>.")

(defnative "Ignore inclusion of this file."
           "    .")

(defnative "Infinite recursion - file ~A includes itself."
           "    ~A   .")

(defnative "Segment ~d is not found in ~s."
           " ~d     ~s.")

(defnative "Option ~s is required for define-book."
           " ~s   define-book.")

(defnative "Location of book~@[ ~s~] is not specified."
           " ~@[ ~s~]  .")

(defnative "Empty text for ~s - anchor ignored."
           " ~s ,    .")

(defnative "Absolute path is not allowed in help URI: ~a"
           "    help URI: ~a")

(defnative "Do not descend ~s again."
           "   ~a.")
(defnative "Cicle detected in definition of virtual anchor ~s,~%path ~s."
           "      ~s,~% ~s.")

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;  METHODS  ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defmethod lang-alpha-char-p-function ((lang (eql :ru)))
  (declare (ignore language))
  #'russian-alpha-char-p)

(defmethod lang-shorten-span  ((lang (eql :ru)))
  (declare (ignore lang))
  :en-US)

;;; index compiler

(defmethod lang-default-index-letters ((language (eql :ru)))
 ;;;  Ũ  ,  
  (declare (ignore language))
  "*")

(defmethod lang-char-representative ((language (eql :ru)) char)
  (when (russian-alpha-char-p char)
    (cond ((or (char= (setq char (locale-char-upcase char)) #\) (char= char #\)) "Ũ")
          ((or (char= char #\) (char= char #\)) "")
          (t char))))

(defmethod lang-word-char-p-function  ((language (eql :ru)))
  (declare (ignore language))
  #'russian-alpha-char-p)
