;;; -*- Mode: Lisp; Encoding: Windows-1251 -*-
;;; YstokHelp - HTML-based help
;;; Copyright (c) 2009-2014 Dr. Dmitry Ivanov.  All rights reserved.
;;; Website: http://lisp.ystok.ru/yhelp/
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; Russian localization of run-time API and compiler

(in-package :ystok.help)

;;; Errors

(defnative "Ignore context help or book topic request."
           "   .")

(defnative "Help book is not found~@[: ~a~]."
           "   ~@[: ~a~].")

(defnative "Start topic ~s is missing from ~s."
           "  ~s       ~s.")

;;; viewer.lisp

(defnative "Retry to start Internet browser once again."
           "    .")
(defnative "Help function~@[ ~s~] ~:[was canceled~;is complete~]."
           " ~@[ ~s~] ~:[~;~].")
(defnative "Cancel help function ~s."
           "   ~s.")
(defnative "Executing help function ~s..."
           "   ~s...")
(defnative "Opening help book page ~a..."
           "   ~a...")

;;; run-time.lisp

(defnative "Help book IDs are not equal - incorrect anchors file:~% ~a."
           "   -   :~% ~a.")
(defnative "Select help book topic"
           "   ")
(defnative "No help book topics found~@[ for ~s~],~%locator:~2% ~a."
           "    ~@[  ~s~],~%:~2% ~a.")

(defnative "Neither URI nor BOOK is given to VIEW-PAGE."
           "  VIEW-PAGE     URI,  BOOK.")

;;; help-widgets.lisp

(defnative "&What's This?"
           "&  ?")

(defnative "Context &Help"
           " &")
(defnative "Pop-up 'What's This?' help about the current user interface element."
           "   '  ?'   ,   .")

(defnative "Help on &Element"
           "  &")
(defnative "Open the help book page about the current GUI element."
           "       ,   .")

(defnative "Help on &Window"
           "  &")
(defnative "Open the help book chapter about the current window."
           "       .")

(defnative "Context help is unavailable for the element~@[~%'~a'~]."
           "   ~@[ '~a'~]~% .")

;;; help-tab.lisp

(defnative "Help book compile and display"
           "    ")
(defnative "Help pages retrieval and display"
           "    ")

(defnative "Show '&What's This?' in menus"
           "  '&  ?'")
(defnative "Show command 'What's This?' in context menus."
           "  '  ?'    .")

(defnative "Show &Help button"
           " '&'")			;  -   &
(defnative "Show button 'Help' in modal dialogs even if
'?' button is available in the dialog title."
           "  ''   ,
      '?'.")

(defnative "When context help unavailable"
           "    ")
(defnative "Show nothing and beep"
           "   ")
(defnative "Pop-up tooltip or 'unavailable'"
           "    ''")
(defnative "Open help book page"
           "   ")

(defnative "Use &DDE for viewer"
           "  &DDE")

(defnative "&Viewer executable image:"
           "  &:")
(defnative "Executable file of the Internet browser used as a help book viewer."
           "Exe-  -  ,     .")
(defnative "Select browser executable image"
           "     ")
(defnative "Viewer DDE &service:"
           "DDE & :")

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;  BASICS  ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(defconstant* +russian-alpha-chars+
  "Ũ")

(declaim (inline russian-alpha-char-p))
(defun russian-alpha-char-p (char)
  (char-position char +russian-alpha-chars+))


;;;  -   ,     
;;; ()    :pathname #P"...".
;;; 
;;; -  ()    ,
;;; -       ,
;;; -         ,
;;; -       .
;;;
;;;   (TODO)
;;; -   ,   ,
;;; -     :depends-on,
;;; -       ,
;;; -         .
