;;; -*- Mode: Lisp; Syntax: Common-Lisp; -*-
;;; YstokHelp - HTML-based help - ASDlite/ASDF system definition
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; Copyright (c) 2009-2012 Dr. Dmitriy Ivanov.  All rights reserved.
;;; Website: http://lisp.ystok.ru/yhelp/
;;;
;;; The :phtml feature is enough for using the help book compiler as library.

(in-package :cl-user)

#-Russian (pushnew :English *features*)

(asdf:defsystem yhelp
  :version "1.6.016"
  :description "Portable Universal Resource Indentifier library"
  :maintainer "Dmitriy Ivanov"
  :licence "LLGPL"
  :depends-on (ystok-uri
               #+html     yhtml			; for compiler
               #+ywidgets ystok-widgets		; for run-time
               #+ygrid    ygrid)
  :serial t
  :components
  ((:file "help-package")
   (:module "lang"
    :components
    (#+Russian (:file "ru")))			; put your language here
   (:file "help-basics")
   #+phtml
   (:module "compiler"
    :pathname "."				; take files from the parent dir
    :components
    ((:file "generics")
     (:module "lang"
      :components
      (#+Russian (:file "ru-compiler")))	; strings and methods
     (:file "components")
     (:file "generating")
     (:file "anchors")
     (:file "parsing")
     (:file "text")
     (:file "context")
     (:file "perform")
     (:file "index-compiler")
     (:file "toc-compiler")))
   #+ywidgets (:file "viewer")			; viewer control from LispWorks
   #+ywidgets (:file "run-time")		; top-level utils
   #+ywidgets (:file "help-widgets")		; ywidgets add-ons
   #+ygrid    (:file "help-grid")))		; ygrid add-ons

;(asdf:operate 'asdf:load-op 'yhelp)
